Support » Plugin: WooCommerce » Plugin updated and crashed my site.

  • Had errors all over my site due to woocomerse. This cost me down time.
    I had to use this plugin to roll back updates for woocomerse below are the steps and link to the pugin I used.

    https://wordpress.org/plugins/wp-rollback/

    I rolled back to WooCommerce 4.6.2 using this plugin and now my site is working again.

    Steps if you have this error-
    “Warning: Declaration of WCS_Query::get_endpoint_title($endpoint) should be compatible with WC_Query::get_endpoint_title($endpoint, $action = ”) in /home/customer/www/domain.com/public_html/wp-content/plugins/woocommerce-subscriptions/includes/class-wcs-query.php on line 104″

    Edit WooCommerce subscription by FTP and change the plugin name anything to get wordpress to de/un activate it.

    This will allow you to login to your site if you are locked out because the plugin causes a fatal error or find some way to disable the plugin.

    Next download the plugin- https://wordpress.org/plugins/wp-rollback/ and roll back woocomerse to 4.6.2 from the new Rollback option in the plugins page.

    Next activate WooCommerce subscription and do not update either plugin until they fix the issue. Test on staging sites so you don’t lose your production site.

    Some guy on the plugin page said he couldnt help but luckly because of comments other people posted I was able to get it fixed.

    Special thanks to mperezssmd (@mperezssmd).

    I hope we dont get hacked by users creating guest accounts during checkout because that is a real issue right now that I dont think has been addressed.

  • The topic ‘Plugin updated and crashed my site.’ is closed to new replies.